<style>
    .form-control-feedback{
        z-index: 0 !important;
    }
</style>
<?php

    Yii::app()->clientScript->registerScript('submit', '
    $(document).ready( function() {
       $("#submit_button").click(function() {
          $(this).prop("disabled",true)
             .parents("form").submit();
          });
    })
    ');

    $this->widget('application.extensions.EChosen.EChosen', array('target' => '.echosen', 'useJQuery' => true));

    Yii::import('ext.qTip2.qTip2');
    qTip2::apply('form img[title]');

    $cliente = new Clientes();
    if ($model->isNewRecord) {
        if (empty($model->ATD_SITUACAO)) {
            $model->ATD_SITUACAO = 'R';
        }

        if (empty($model->ATD_TIPO)) {
          $model->ATD_TIPO = 'R';
        } else {
          $model->ATD_TIPO = explode(',', $model->ATD_TIPO);
        }

        if (empty($model->ATD_IDFUNCIONARIO)) {
          $model->ATD_IDFUNCIONARIO = User::getId();
        }

        if (empty($model->ATD_DTCADASTRO)) {
          $model->ATD_DTCADASTRO = date('d/m/Y');
        }

        if (empty($model->ATD_HORAINICIO)) {
          $model->ATD_HORAINICIO = date('H:i');
        }

        if (empty($model->ATD_HORAFINAL)) {
          $model->ATD_TOTALHORAS = "00:00";
        }

        $Atendimento = Atendimentos::model()->find('ATD_IDCLIENTE = ' . $CLI_IDCLIENTE . ' order by ATD_DTCADASTRO DESC');
        if(isset($Atendimento->ATD_IDMOTIVO)) {
          if ((int) $Atendimento->ATD_IDMOTIVO != 0 and $model->ATD_IDMOTIVO == '') {
            $model->ATD_IDMOTIVO = $Atendimento->ATD_IDMOTIVO;
          }
          if ((int) $Atendimento->ATD_IDVERSAO != 0 and $model->ATD_IDVERSAO == '') {
            $model->ATD_IDVERSAO = $Atendimento->ATD_IDVERSAO;
          }
        }

        $cliente = Clientes::model()->findByPk($CLI_IDCLIENTE);
    } else {

        $model->ATD_TIPO = explode(',', $model->ATD_TIPO);
        $model->ATD_HORAINICIO = substr($model->ATD_HORAINICIO, 0, 5);
        $model->ATD_HORAFINAL = substr($model->ATD_HORAFINAL, 0, 5);
        $model->ATD_TOTALHORAS = substr($model->ATD_TOTALHORAS, 0, 5);
        $cliente = $model->Cliente;
    }

    if (!empty($_POST['Atendimentos'])) {

        $model->ATD_SITUACAO = $_POST['Atendimentos']['ATD_SITUACAO'];
        $model->ATD_DTCADASTRORETORNO = $_POST['Atendimentos']['ATD_DTCADASTRORETORNO'];
        $model->ATD_HORAINICIORETORNO = $_POST['Atendimentos']['ATD_HORAINICIORETORNO'];
        $model->ATD_DTCADASTRO = $_POST['Atendimentos']['ATD_DTCADASTRO'];
    }

    $message_horas = 'Este cliente não possui horas de treinamento disponíveis!';
 
    if(User::getPrivilegioImplantacao()) {
        if(!$cliente->hasHorasPendentes() && $cliente->hasHorasPendentesAtivacao()) {
          $message_horas = 'Este cliente possui horas de treinamento, porém estas não foram ativadas.<br /> Para ativá-las, cadastre atendimento informando que a implantação foi iniciada!';
        }
    }

    $habilitarHoras = (User::getPrivilegioImplantacao() && $model->isNewRecord && ($cliente->hasHorasPendentes() || $cliente->hasHorasPendentesAtivacao()));

    $displayCamposVeiculo = "none";
    if ($model->ATD_TIPO == "V") {
        $displayCamposVeiculo = "block";
    } elseif (is_array($model->ATD_TIPO) && in_array("V", $model->ATD_TIPO)) {
        $displayCamposVeiculo = "block";
    }

    Yii::import('ext.qTip2.qTip2');
    qTip2::apply('.tool_tip');
?>

<?php
$cliente = Clientes::model()->findByPk($CLI_IDCLIENTE);
$this->renderPartial('/dadosAcesso/modal_mensagens', array(
    'id_cliente' => $CLI_IDCLIENTE, 
    'nome_cliente' => $cliente->CLI_NOME
    ));
?>

<div class="form">

    <?php $form = $this->beginWidget('GxActiveForm', array('htmlOptions'=>array('enctype' => 'multipart/form-data'), 'id' => 'atendimentos-form', 'enableAjaxValidation' => false, 'focus' => array($model, 'ATD_IDCLIENTE'))); ?>

    <?= FaHtml::getFormInfo($form, $model); ?>

    <?php if(User::getPrivilegioImplantacao()) { ?>
        <?php if(!$cliente->hasHorasPendentes()) {?>
          <div style="font-size: 13px; display: table; width: 465px">
          <?= FaHtml::alert("<strong>Importante!</strong><br /><br />{$message_horas}", 'info', false, false);?>
          </div>
        <?php } ?>
    <?php } ?>
    <div class="row">
        <?= $form->hiddenField($model, 'ATD_IDCLIENTE', array('type' => "hidden", 'value' => $CLI_IDCLIENTE)); ?>
    </div><!-- row -->

    <div class="row">
        <div class="campo-data">
            <?= $form->labelEx($model, 'ATD_DTCADASTRO'); ?>
            <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'ATD_DTCADASTRO')); ?>
            <?= $form->error($model, 'ATD_DTCADASTRO'); ?>
        </div><!-- row -->
        <div class="campo-data">
            <?= $form->labelEx($model, 'ATD_HORAINICIO'); ?>
            <?= $form->textField($model, 'ATD_HORAINICIO', array('maxlength' => 5, 'class' => 'format_hora hora_inicio')); ?>
            <?= $form->error($model, 'ATD_HORAINICIO'); ?>
        </div><!-- row -->
        <div class="campo-data">
            <?= $form->labelEx($model, 'ATD_HORAFINAL', array('required' => true)); ?>
            <?= $form->textField($model, 'ATD_HORAFINAL', array('maxlength' => 5, 'class' => 'format_hora hora_final')); ?>
            <?= $form->error($model, 'ATD_HORAFINAL'); ?>
        </div><!-- row -->

        <div class="campo-data">
            <?= $form->labelEx($model, 'ATD_TOTALHORAS'); ?>
            <?= $form->textField($model, 'ATD_TOTALHORAS', array('readonly' => 'enabled', 'class' => 'format_hora total_horas')); ?>
            <?= $form->error($model, 'ATD_TOTALHORAS'); ?>
        </div><!-- row -->
    </div>

    <div class="row">
        <?= $form->labelEx($model, 'ATD_SITUACAO'); ?>
        <?= $form->dropDownList($model, 'ATD_SITUACAO',Util::getSituacoesAtendimentoList(), array('prompt' => 'Selecione')); ?>
        <?= $form->error($model, 'ATD_SITUACAO'); ?>
    </div><!-- row -->
    <div class="pendente-retorno">
        <div class="row">
            <?= $form->labelEx($model, 'ATD_DTCADASTRORETORNO'); ?>
            <?php $form->widget('ext.Utils.widgets.CrmDatePicker',
                                array('model' => $model, 'attribute' => 'ATD_DTCADASTRORETORNO')); ?>
            <?= $form->error($model, 'ATD_DTCADASTRORETORNO'); ?>
        </div>
        <div class="row">
            <?= $form->labelEx($model, 'ATD_HORAINICIORETORNO'); ?>
            <?= $form->textField($model, 'ATD_HORAINICIORETORNO', array('maxlength' => 5,
                                                                        'class' => 'format_hora hora_inicio_retorno')); ?>
            <?= $form->error($model, 'ATD_HORAINICIORETORNO'); ?>
        </div>
        <hr>
    </div>

    <div class="row">
        <?= $form->labelEx($model, 'ATD_TIPO'); ?>
        <?php
            $tipos = Util::$tipo_de_contato_suprimido_1;

            $this->widget('application.extensions.multiselect.JMultiSelect', array(
                'model' => $model,
                'attribute' => 'ATD_TIPO',
                'data' => $tipos,
                'options' => array('noneSelectedText' => 'Selecione')
            ));
            echo $form->error($model, 'ATD_TIPO');
        ?>
        <?php if(User::getPrivilegioImplantacao()) { ?>
            <?php if(!$cliente->hasHorasPendentes()) { ?>
                <div class="color-blue"><?= $message_horas; ?></div>
            <?php } ?>
        <?php } ?>
    </div><!-- row -->

    <div class="row">
        <?= $form->labelEx($model, 'ATD_IDMOTIVO'); ?>
        <?php
            $motivos = Motivos::getMotivosSuporte($model->ATD_TIPO);
            echo $form->dropDownList($model, 'ATD_IDMOTIVO', $motivos, array('prompt' => 'Selecione', 'class' => 'echosen'));
        ?>
        <?= $form->error($model, 'ATD_IDMOTIVO'); ?>
    </div><!-- row -->

    <?php
        $display = "none";
        if ($cliente->CLI_SITUACAO != "A" && $model->ATD_IDMOTIVO == 151) {
            $display = "block";
        }
    ?>
    <div class="row" id="formulario" style="display: <?= $display; ?>">
        <?= $form->labelEx($model, 'ATD_IDFORMULARIO', array('required' => true)); ?>
        <?php
            $this->widget('ext.select2.ESelect2', [
                'model' => $model,
                'attribute' => 'ATD_IDFORMULARIO',
                'relatedModel' => 'Formularios',
                'relatedValue' => 'CodDesc',
                'ajaxConf' => [
                    'url' => Yii::app()->createUrl('autocomplete/formularios'),
                    'params' => [
                        "projeto: {$projeto}",
                        ]
                    ],
                ]
            );
        ?>
        <?= $form->error($model, 'ATD_IDFORMULARIO'); ?>
    </div>

    <?php
        $displayPendenciasCadastradas = "none";
        if ($model->ATD_IDMOTIVO == 151 && !empty($model->ATD_IDFORMULARIO)) {
            $pendencias = Solicitacoes::model()->getPendenciasAbertas($model->ATD_IDFORMULARIO);

            $pendenciasCadastradas = array();
            if ($pendencias) {
                $displayPendenciasCadastradas = "block";
            }
        } else {
            $pendencias = false;
        }
    ?>
    <div class="alert alert-info" id="pendenciasCadastradas" style="display: <?= $displayPendenciasCadastradas; ?>">
        <i class="fa fa-info"></i>
        <div class="alert-message">
            <p>Já existem <text id="countPendencias"><?= $pendencias ? count($pendencias) : 0; ?></text> pendências de falha de sistema com o formulário selecionado.</p>
            <ul>
                <?php
                    $resumido = count($pendencias) > 5;
                    if ($pendencias) {
                        for ($i=0; $i < 5; $i++) {
                            if (isset($pendencias[$i])) {
                                $pendencia = $pendencias[$i];
                                echo "<li>";
                                    $url = Yii::app()->createUrl("solicitacoes/view", array(
                                        "id"=>$pendencia->SOL_IDPENDENCIA
                                    ));
                                    echo "<a href=\"{$url}\" target=\"_blank\">";
                                        $nomeCliente  = Util::getNomeImplantacao(
                                            $pendencia->Cliente->CLI_NOME,
                                            $pendencia->Cliente->CLI_IMPLANTACAO,
                                            "span"
                                        );
                                        echo "Pendência {$pendencia->SOL_IDPENDENCIA} - {$nomeCliente} ";
                                        echo Util::formatTxtSolicitacaoTooltip($pendencia, '<i class="icon-file-alt"></i>', true);
                                    echo "</a>";
                                echo "</li>";
                            }
                        }

                    }
                ?>
            </ul>
            <?php
                $display = "none";
                $url = "#";
                if ($resumido) {
                    $url = Yii::app()->createUrl('solicitacoes/admin', array(
                        'Solicitacoes[SOL_IDLOCAL]' => array(1, 2, 3, 4, 5, 7, 8, 11, 12, 13, 14, 15, 16, 17, 18, 23, 24),
                        'Solicitacoes[SOL_SITUACAO]' => 'A',
                        'Solicitacoes[SOL_IDMOTIVO]' => 151,
                        'Solicitacoes[SOL_IDFORMULARIO]' => $model->ATD_IDFORMULARIO,
                        'busca' => 1
                    ));
                    $display = "block";
                }
            ?>
            <div id="listaCompleta" style="display: <?= $display; ?>">
                <br>
                <a href="<?= $url; ?>" target="_blank">
                    <b>Visualizar lista completa</b>
                </a>
            </div>
        </div>
    </div>

    <div class="row" id="vincularPendencia" style="display: <?= $displayPendenciasCadastradas; ?>">
        <?= $form->labelEx($model, 'ATD_VINCULAR_PENDENCIA', array('label' => 'Pendência a ser vinculada')); ?>
        <?php
            $opcoes = array("N" => "Criar Nova Pendência");
            if ($pendencias) {
                foreach ($pendencias as $pendencia) {
                    $opcoes[$pendencia->SOL_IDPENDENCIA] = "Pendência {$pendencia->SOL_IDPENDENCIA} ({$pendencia->Cliente->CLI_NOME})";
                }
            }
            echo $form->dropDownList($model, 'ATD_VINCULAR_PENDENCIA', $opcoes);
        ?>
        <?= $form->error($model, 'ATD_VINCULAR_PENDENCIA'); ?>
    </div><!-- row -->

    <?php if ($habilitarHoras) { ?>
      <div class="row horas_implantacao">
          <?= $form->labelEx($model, 'ATD_HORASIMPLANTACAO',
                             array('label' => $model->getAttributeLabel('ATD_HORASIMPLANTACAO').'<span class="required">*</span>')); ?>
          <?= $form->textField($model, 'ATD_HORASIMPLANTACAO'); ?>
          <img src="<?= FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Horas a serem descontadas da implantação:</b></p>
             <p>Informe quantas horas devem ser descontadas das horas de treinamento contratadas pelo cliente.</p>
             <p>O valor deve estar no formato HH:MM (horas:minutos).</p>
             <p>Lembre-se de descontar o tempo de deslocamento até o cliente, contabilizando somente o tempo de treinamento.</p>
             <p>Caso não deva ser descontada nenhuma hora do treinamento, informe o valor 00:00.</p>
             <p>O valor não pode ultrapassar o total de horas informado no atendimento.</p>
             <p>Caso cliente tenha utilizado todas as horas contratadas, verificar com responsável a cobrança ou não para a visita.</p>
             ">
          <?= $form->error($model, 'ATD_HORASIMPLANTACAO'); ?>
          <?php if(!$cliente->hasHorasPendentes()) { ?>
            <div class="color-blue"><?= $message_horas; ?></div>
          <?php } ?>
      </div><!-- row -->
    <?php } ?>

    <?php if (User::canListUsers() && (User::getPrivilegio() != 5 || User::getId() == 21)) { ?>
        <div class="row">
          <?= $form->labelEx($model, 'ATD_IDFUNCIONARIO', array('label'=>'Técnico')); ?>
          <?= $form->dropDownList($model, 'ATD_IDFUNCIONARIO',(in_array(User::getPrivilegio(), array(1,7,20)) ?
              User::getFuncionariosSuporteSuporteRevenda() : User::getFuncionariosSuporte())); ?>
          <?= $form->error($model, 'ATD_IDFUNCIONARIO'); ?>
        </div><!-- row -->
    <?php } else { ?>
        <div class="row">
            <?= $form->hiddenField($model, 'ATD_IDFUNCIONARIO', array('type' => "hidden", 'value' => User::getId())); ?>
        </div><!-- row -->
    <?php } ?>

    <div class="row campo-veiculo" style="display: <?= $displayCamposVeiculo; ?>">
        <?= $form->labelEx($model, 'ATD_IDVEICULO'); ?>
        <?= $form->dropDownList($model, 'ATD_IDVEICULO',
                                GxHtml::listDataEx(Veiculos::model()->findAll('VEI_SITUACAO = "A"
                                                                              AND VEI_IDREVENDA
                                                                              IN ('.User::getRevendas(true).')
                                                                              ORDER BY VEI_DESCRICAO')),
                                array('prompt' => 'Selecione')); ?>
        <?= $form->error($model, 'ATD_IDVEICULO'); ?>
    </div><!-- row -->

    <div class="row campo-veiculo" style="display: <?= $displayCamposVeiculo; ?>">
        <?= $form->labelEx($model, 'ATD_KMINICIAL'); ?>
        <?= $form->textField($model, 'ATD_KMINICIAL'); ?>
        <?= $form->error($model, 'ATD_KMINICIAL'); ?>
    </div><!-- row -->
    <div class="row campo-veiculo" style="display: <?= $displayCamposVeiculo; ?>">
        <?= $form->labelEx($model, 'ATD_KMFINAL'); ?>
        <?= $form->textField($model, 'ATD_KMFINAL'); ?>
        <?= $form->error($model, 'ATD_KMFINAL'); ?>
    </div><!-- row -->
    <div class="row">
        <?= $form->labelEx($model, 'ATD_CONTATO'); ?>
        <?= $form->textField($model, 'ATD_CONTATO'); ?>
        <?= $form->error($model, 'ATD_CONTATO'); ?>
    </div><!-- row -->
    <?php if(!User::deRevenda()){ ?>
        <div class="row cobrarAtendimento">
            <?= $form->labelEx($model,
                               'ATD_COBRAR_ATENDIMENTO',
                               ['style' => 'font-size: 14px; float: left']); ?>
            <?= $form->checkBox($model, 'ATD_COBRAR_ATENDIMENTO'); ?>
            <?= $form->error($model, 'ATD_COBRAR_ATENDIMENTO'); ?>
        </div><!-- row -->
    <?php } ?>
    <div class="row atd_obs">
        <?= $form->labelEx($model, 'ATD_OBS'); ?>
        <?php

            if (empty($model->ATD_IDATENDIMENTO) || (isset($error) && $error)) {
                echo $form->textArea($model, 'ATD_OBS');

            } else {
                echo '<div class="textarea-like-disabled">'.$model->ATD_OBS.'</div>';

            }
        ?>
        <?= $form->error($model, 'ATD_OBS'); ?>
    </div><!-- row -->
    <?= $form->hiddenField($model, 'ATD_IDUSUARIO',
                           array('type' => "hidden",
                                 'value' => ($model->isNewRecord ? User::getId() : $model->ATD_IDUSUARIO))); ?>
    <?php if($model->isNewRecord) { ?>
          <div class="row">
                <h2 for="arquivos">Anexar arquivos</h2>
                <div id="arquivos">
                <?php
                    if(isset($arquivos) && !empty($arquivos) && is_array($arquivos)) {
                        foreach($arquivos as $arquivo) {
                            $this->renderPartial('/arquivos/_inputs', array('model' => $arquivo));
                        }
                    }
                ?>
                </div>
                <div class="clear"></div>
                <a href="#addArquivo" id="addArquivo" onclick="addArquivo()" style="margin-bottom:20px;display:block">
                    + Adicionar arquivo
                </a>
          </div><!-- row -->
    <?php } elseif (!empty($model->Arquivos)) { ?>
          <h1 class="titulos-pendencias">Arquivos</h1>
          <div class="clear"></div>
          <ul id="links" class="imagens tab-pane fade in active">
                <?php foreach($model->Arquivos as $arquivo) { ?>
                    <li><?= $arquivo->getLink(); ?></li>
                <?php }?>
          </ul>
    <?php } ?>
    <?php
    echo FaHtml::saveButton();
    $this->endWidget();
    ?>
</div><!-- form -->
<script>
$(document).ready(function () {
    $("#Atendimentos_ATD_IDMOTIVO").change(function () {
        <?php if ($habilitarHoras) { ?>
            verificaHorasImplantacao();
        <?php } ?>
    });

    $("#Atendimentos_ATD_SITUACAO").change(function () {
        $("#Atendimentos_ATD_IDMOTIVO").change();
    });

    <?php if ($habilitarHoras) { ?>
        function verificaHorasImplantacao() {
            var horasPendentes = <?= $cliente->hasHorasPendentes() ? 'true' : 'false'; ?>;
            var horasPendenteAtivacao = <?= $cliente->hasHorasPendentesAtivacao() ? 'true' : 'false'; ?>;
            if (horasPendentes) {
                if (
                    $("#Atendimentos_ATD_TIPO").find('option[value="V"]').prop('selected') == true &&
                    $("#Atendimentos_ATD_SITUACAO").val() == "R"
                ) {
                    $('.horas_implantacao').show();
                } else {
                    $('#Atendimentos_ATD_HORASIMPLANTACAO').val('');
                    $('.horas_implantacao').hide();
                }
            } else if (horasPendenteAtivacao) {
                if (
                    $("#Atendimentos_ATD_TIPO").find('option[value="V"]').prop('selected') == true &&
                    $("#Atendimentos_ATD_SITUACAO").val() == "R" && $("#Atendimentos_ATD_IDMOTIVO").val() == 431
                ) {
                    $('.horas_implantacao').show();
                } else {
                    $('#Atendimentos_ATD_HORASIMPLANTACAO').val('');
                    $('.horas_implantacao').hide();
                }
            } else {
                $('.horas_implantacao').hide();
            }
        }
        verificaHorasImplantacao();
        $("#Atendimentos_ATD_TIPO").change(verificaHorasImplantacao);
        $("#Atendimentos_ATD_SITUACAO").change(verificaHorasImplantacao);
    <?php } ?>

    $("#Atendimentos_ATD_TIPO").on('change', function() {
        if ($.inArray("V", $(this).val()) != -1) {
            $('.campo-veiculo').fadeIn(400);
            $(this).find('option:not([value="V"])').prop({
                disabled: true,
                selected: false
            });
        } else {
            $('.campo-veiculo').fadeOut(400);
            $(this).find('option').attr('disabled', false)
        }

        if ($("#Atendimentos_ATD_IDMOTIVO_chosen").length) {
            $(this).multiselect('refresh');
        }

        var motivos = $(this).val();
        if (motivos != undefined && motivos != null) {
            $.ajax({
                url: createUrl('motivos/motivosSuporte'),
                type: 'POST',
                dataType: 'json',
                data: {
                    motivos: motivos
                },
            })
            .done(function(motivos) {
                var options = "<option value=''>Selecione</option>";
                $.each(motivos, function(index, val) {
                    options += "<option value=\"" + val.value + "\">" + val.text + "</option>";
                });

                $("#Atendimentos_ATD_IDMOTIVO").html(options);
                $("#Atendimentos_ATD_IDMOTIVO").trigger("chosen:updated");
            });
        } else {
            $("#Atendimentos_ATD_IDMOTIVO").html("<option value=''>Nenhum motivo disponível</option>");
            $("#Atendimentos_ATD_IDMOTIVO").trigger("chosen:updated");
        }
    });

    <?php if (!User::deRevenda() && $cliente->CLI_SITUACAO == "A") { ?>
        $("#Atendimentos_ATD_IDMOTIVO").on('change', function() {
            if ($(this).val() == 151) {
                $("#formulario").fadeIn(400, function() {
                    $(this).find('select').change();
                });
                $("#Atendimentos_ATD_VINCULAR_PENDENCIA").change();
            } else {
                $("#formulario").fadeOut(400, function() {
                    $(this).find('select').val("").change();
                });
                $("#pendenciasCadastradas").fadeOut(400);
                $("#vincularPendencia").fadeOut(400);
                $("#submit_button").html("<i class=\"glyphicon glyphicon-floppy-disk\"></i> Salvar");
            }
            toogleSituacao();
        });
    <?php } ?>

    $("#Atendimentos_ATD_IDMOTIVO").change();

    $("#Atendimentos_ATD_SITUACAO").on('change', function() {
        toogleSituacao();
    });

    if ($("#Atendimentos_ATD_SITUACAO").val() !== '') {
        toogleSituacao();
    }

    $("#Atendimentos_ATD_DTCADASTRORETORNO").on('change', function(){
        if ($("#Atendimentos_ATD_DTCADASTRORETORNO").val() !== '') {
            $("#Atendimentos_ATD_DTCADASTRORETORNO").attr('required', false);
            $(".at-error").remove();
            $(".glyphicon-remove").remove();
        }
    });

    function toogleSituacao() {
        if ($("#Atendimentos_ATD_SITUACAO").val() == "P") {

            $(".pendente-retorno").css('display', 'block');

            $("#Atendimentos_ATD_DTCADASTRORETORNO").attr('required', true);
            $("#Atendimentos_ATD_HORAINICIORETORNO").attr('required', true);
        } else {

            $(".pendente-retorno").css('display', 'none');

            $("#Atendimentos_ATD_DTCADASTRORETORNO").attr('required', false);
            $("#Atendimentos_ATD_HORAINICIORETORNO").attr('required', false);
        }

        if ($("#Atendimentos_ATD_SITUACAO").val() == "R" && $("#Atendimentos_ATD_IDMOTIVO").val() != 151) {
            $(".cobrarAtendimento").css('display', 'block');
        } else {
            $(".cobrarAtendimento").css('display', 'none');
            $(".cobrarAtendimento").find('input').prop('checked', false).val(0);
        }
    }

    $("#Atendimentos_ATD_IDFORMULARIO").on('change', function() {
        if($("#Atendimentos_ATD_IDMOTIVO").val() != 151) {
            return;
        }

        var formulario = $(this).val();

        if(formulario != null) {
            $("#vincularPendencia").fadeIn(400);
        }

        var listaPendencias = $("#pendenciasCadastradas").find('ul');
        listaPendencias.html("");

        var optionsPendencias = $("#vincularPendencia").find('select');
        optionsPendencias.find('option').not('[value="N"]').remove();

        $.ajax({
            url: createUrl('solicitacoes/carregaPendencias'),
            type: 'GET',
            dataType: 'json',
            data: {
                formulario: formulario
            },
        })
        .done(function(result) {
            if (result.total > 0) {
                if(formulario != null) {
                    $("#pendenciasCadastradas").fadeIn(400);
                }
                $("#countPendencias").html(result.total);

                var i = 0;
                var resumido = false;
                $.each(result.pendencias, function(index, val) {
                    var pendencia = val;
                    if (i < 5) {
                        $.get(createUrl('solicitacoes/getTxtTooltip', {pendencia: pendencia.value}), function(data) {
                            var li = "<li>";
                                li += "<a href=\" " + createUrl('solicitacoes/view', {id: pendencia.value}) + " \" target=\"_blank\">"
                                    li += pendencia.text + " " + data;
                                li += "</a>";
                            li += "</li>";

                            listaPendencias.append(li);
                            listaPendencias.find(".tool_tip").qtip({
                                position:{
                                    my: "middle left",
                                    at:"middle right",
                                    viewport:$(window)
                                },
                                style:{
                                    tip:{
                                        corner:true
                                    }
                                }
                            });
                        });
                    } else {
                        resumido = true;
                    }

                    var option = "<option value=\"" + pendencia.value + "\">" + pendencia.text + "</option>";
                    optionsPendencias.append(option);

                    i++;
                });

                if (resumido) {
                    $("#listaCompleta").show();

                    var url = createUrl('solicitacoes/admin', {
                        'Solicitacoes[SOL_IDLOCAL]': [1, 2, 3, 4, 5, 7, 8, 11, 12, 13, 14, 15, 16, 17, 18, 23, 24],
                        'Solicitacoes[SOL_SITUACAO]': 'A',
                        'Solicitacoes[SOL_IDMOTIVO]': 151,
                        'Solicitacoes[SOL_IDFORMULARIO]': formulario,
                        'busca': 1
                    });
                    $("#listaCompleta").find('a').attr('href', url);
                } else {
                    $("#listaCompleta").hide();
                }
            } else {
                $("#pendenciasCadastradas").fadeOut(400);

                if(formulario == null) {
                    $("#vincularPendencia").fadeOut(400, function() {
                        $(this).find('select').val("N");
                    });
                }
            }
        });
    });

    $("#Atendimentos_ATD_VINCULAR_PENDENCIA").on('change', function() {
        if ($(this).val() != "N") {
            $("#submit_button").html("<i class=\"glyphicon glyphicon-floppy-disk\"></i> Salvar & Vincular Pendência");
        } else {
            $("#submit_button").html("<i class=\"glyphicon glyphicon-floppy-disk\"></i> Salvar & Criar Pendência");
        }
    });
});
</script>

<?php

$cs = Yii::app()->getClientScript();

$css = <<<CSS
    #Atendimentos_ATD_COBRAR_ATENDIMENTO {
        /* Double-sized Checkboxes */
        -ms-transform: scale(1.5); /* IE */
        -moz-transform: scale(1.5); /* FF */
        -webkit-transform: scale(1.5); /* Safari and Chrome */
        -o-transform: scale(1.5); /* Opera */
        margin-top: 10px !important;
        margin-left: 50px !important;
    }

    .select2-container,
    .select2-container--default .select2-selection--single,
    .select2-container--default .select2-selection--single .select2-selection__rendered,
    .select2-container--default .select2-selection--single .select2-selection__placeholder {
        height: 26px !important;
        line-height: 26px !important;
    }

    #pendenciasCadastradas {
        width: 465px;
        margin-top: 15px;
    }
    #pendenciasCadastradas p {
        font-size: 12px !important;
    }
    #pendenciasCadastradas > .alert-message > ul > li > a > .tool_tip {
        display: initial;
    }
CSS;
$cs->registerCss(Util::uid(), $css);